\appendix
\section{Appendix: Hyperbolic Linearized SME }
\label{app}
In the shock tube test, the SME model also yields accurate solutions for the test case using $\textrm{Kn}=0.5$. This is already an improvement with respect to Grad's method, which fails to be stable in this test case \cite{Cai2013}. However, stability problems due to the loss of hyperbolicity may occur in more extreme test cases. We therefore test a simple linearized SME model LSME, in which the system matrix is linearized around equilibrium. A similar strategy (though in a different set of variables) was used in \cite{Cai2013} to achieve hyperbolicity using a modified version of Grad's equations called Hyperbolic Moment Equations (HME).

In Figure \ref{linear} the results of the hyperbolic LSME model are presented. The results do not differ much from the SME. However, it is obvious that there remains a systematic error coming from the linearization, especially for the pressure $p$ and velocity $v$. One possible reason is that the linearization has a larger effect on the respective equations for $v,\theta$, while the first equation for $\rho$ is not changed at all.

When increasing the number of splines in Figure \ref{lincmp}, it becomes clear that the linearized SME model does not converge to the solution of the Boltzmann-BGK equation. The error for the pressure remains at a high plateau despite some reductions for velocity and density.

In summary, it must be said that the linearized system does not converge to the exact solution, the linearization seems too much of a simplification. Future work on the investigation of other hyperbolic spline-based models is necessary, see \cite{Fan2016}.


%\begin{figure}[H]
% \centering
% \begin{subfigure}[t]{0.47\textwidth}
% \centering
% \includegraphics[width=\textwidth]{maboGraphics/results/linear1}
% \caption{$n=4$, $Kn=0.05$}
% \label{linear1}
%\end{subfigure}
%\hfill
%\begin{subfigure}[t]{0.47\textwidth}
% \centering
% \includegraphics[width=\textwidth]{maboGraphics/results/linear2}
% \caption{$n=4$, $Kn=0.5$}
% \label{linear2}
%\end{subfigure}
%\hfill
% \begin{subfigure}[t]{0.47\textwidth}
% \centering
% \includegraphics[width=\textwidth]{maboGraphics/results/linear3}
% \caption{$n=8$, $Kn=0.05$}
% \label{linear3}
%\end{subfigure}
%\hfill
%\begin{subfigure}[t]{0.47\textwidth}
% \centering
% \includegraphics[width=\textwidth]{maboGraphics/results/linear4}
% \caption{$n=8$, $Kn=0.5$}
% \label{linear4}
%\end{subfigure}
%\hfill
% \begin{subfigure}[t]{0.47\textwidth}
% \centering
% \includegraphics[width=\textwidth]{maboGraphics/results/linear5}
% \caption{$n=12$, $Kn=0.05$}
% \label{linear5}
%\end{subfigure}
%\hfill
%\begin{subfigure}[t]{0.47\textwidth}
% \centering
% \includegraphics[width=\textwidth]{maboGraphics/results/linear6}
% \caption{$n=12$, $Kn=0.5$}
% \label{linear6}
%\end{subfigure}
%\caption{Shock tube linearized SME comparison. $k=1$, $[\xi_{min},\xi_{max}]=[-4,4]$.}
%\label{linear}
%\end{figure}


\begin{figure}[H]
 \centering
% \begin{subfigure}[t]{0.47\textwidth}
% \centering
% \includegraphics[width=\textwidth]{maboGraphics/results/linear1}
% \caption{$n=4$, $Kn=0.05$}
% \label{linear1}
%\end{subfigure}
%\hfill
%\begin{subfigure}[t]{0.47\textwidth}
% \centering
% \includegraphics[width=\textwidth]{maboGraphics/results/linear2}
% \caption{$n=4$, $Kn=0.5$}
% \label{linear2}
%\end{subfigure}
%\hfill
% \begin{subfigure}[t]{0.47\textwidth}
% \centering
% \includegraphics[width=\textwidth]{maboGraphics/results/linear3}
% \caption{$n=8$, $Kn=0.05$}
% \label{linear3}
%\end{subfigure}
%\hfill
%\begin{subfigure}[t]{0.47\textwidth}
% \centering
% \includegraphics[width=\textwidth]{maboGraphics/results/linear4}
% \caption{$n=8$, $Kn=0.5$}
% \label{linear4}
%\end{subfigure}
%\hfill
 \begin{subfigure}[t]{0.49\textwidth}
 \centering
 \includegraphics[width=\textwidth]{maboGraphics/results/linear5}
 \caption{$\textrm{Kn}=0.05$}
 \label{linear5}
\end{subfigure}
\hfill
\begin{subfigure}[t]{0.49\textwidth}
 \centering
 \includegraphics[width=\textwidth]{maboGraphics/results/linear6}
 \caption{$\textrm{Kn}=0.5$}
 \label{linear6}
\end{subfigure}
\caption{Shock tube linearized SME comparison. $k=1$, $12$ splines, $[\xi_{min},\xi_{max}]=[-4,4]$.}
\label{linear}
\end{figure}


%\begin{figure}[H]
% \centering
% \begin{subfigure}[t]{0.47\textwidth}
% \centering
% \includegraphics[width=\textwidth]{maboGraphics/results/lincmp1}
% \caption{{Errors} SME {and} LSME. $[\xi_{min}, \xi_{max}]=[-4,4]$, $Kn=0.05$, $k=1$.}
% \label{lincmp1}
%\end{subfigure}
%\hfill
%\begin{subfigure}[t]{0.47\textwidth}
% \centering
% \includegraphics[width=\textwidth]{maboGraphics/results/lincmp2}
% \caption{{Errors} SME {and} LSME. $[\xi_{min}, \xi_{max}]=[-4,4]$, $Kn=0.5$, $k=1$.}
% \label{lincmp2}
%\end{subfigure}
%\hfill
% \begin{subfigure}[t]{0.47\textwidth}
% \centering
% \includegraphics[width=\textwidth]{maboGraphics/results/lincmp3}
% \caption{{Errors} SME {and} LSME. $[\xi_{min}, \xi_{max}]=[-4,4]$, $Kn=0.05$, $k=2$.}
% \label{lincmp3}
%\end{subfigure}
%\hfill
%\begin{subfigure}[t]{0.47\textwidth}
% \centering
% \includegraphics[width=\textwidth]{maboGraphics/results/lincmp4}
% \caption{{Errors} SME {and} LSME. $[\xi_{min}, \xi_{max}]=[-4,4]$, $Kn=0.5$, $k=2$.}
% \label{lincmp4}
%\end{subfigure}
%\hfill
% \begin{subfigure}[t]{0.47\textwidth}
% \centering
% \includegraphics[width=\textwidth]{maboGraphics/results/lincmp5}
% \caption{{Errors} SME {and} LSME. $[\xi_{min}, \xi_{max}]=[-4,4]$, $Kn=0.05$, $k=3$.}
% \label{lincmp5}
%\end{subfigure}
%\hfill
%\begin{subfigure}[t]{0.47\textwidth}
% \centering
% \includegraphics[width=\textwidth]{maboGraphics/results/lincmp6}
% \caption{$Kn=0.5$, $k=3$.}
% \label{lincmp6}
%\end{subfigure}
%%\caption{{Error evolution for the linearized and the non-linearized method}.}
%\caption{Simulation error depending on $n$ for linearized SME, $[\xi_{min}, \xi_{max}]=[-4,4]$, $Kn=0.5$.}
%\label{lincmp}
%\end{figure}


\begin{figure}[H]
 \centering
 \begin{subfigure}[t]{0.49\textwidth}
 \centering
 \includegraphics[width=\textwidth]{maboGraphics/results/lincmp5}
 \caption{$\textrm{Kn}=0.05$.}
 \label{lincmp5}
\end{subfigure}
\hfill
\begin{subfigure}[t]{0.49\textwidth}
 \centering
 \includegraphics[width=\textwidth]{maboGraphics/results/lincmp6}
 \caption{$\textrm{Kn}=0.5$.}
 \label{lincmp6}
\end{subfigure}
\caption{Simulation error depending on number of splines for linearized SME, $k=3$, $[\xi_{min}, \xi_{max}]=[-4,4]$.}
\label{lincmp}
\end{figure} 